/*----------------------------------------------------------------------------
Copyright (c)2000 TogetherSoft Corporation. Patents pending. All rights reserved.
----------------------------------------------------------------------------*/

package ProductSaleMgmt.Product;

import java.util.Vector;
import java.math.BigDecimal;

/** 
 * @author TogetherSoft
 * @stereotype thing */
public class ProductCatalog {
    public BigDecimal calcAvgPriceInCatalog() {
        return new BigDecimal(0);
    }

    public Vector listCatalogEntries() {
        return new Vector();
    }

    /**  */
    public Vector listCatalogEntriesWithCatalogSpecificPrices() {
        return new Vector();
    }

    /**
     *@shapeType AggregationLink
     *     @associates <b>ProductDesc</b>
     * @supplierCardinality 0..*
     * @clientCardinality 0..*
     * @supplierRole entries
     */
    private Vector lnkUnnamed;
    private String number;
    private int type;

    /**
     *@shapeType AggregationLink
     *    @associates <b>ProductPrice</b>
     * @supplierCardinality 0..*
     * @supplierRole catalog price
     */
    private Vector lnkUnnamed1;
}


